#ifndef _ISD4004_H_
#define _ISD4004_H_

#ifndef _ISD4004_C
#define EXT  extern
#else 
#define EXT
#endif 

typedef  unsigned char	 uchar ;
typedef  unsigned int    uint  ;

#define POWER_UP   0x20
#define SET_PLAY   0xe0
#define PLAY       0xf0
#define SET_REC    0xa0
#define REC        0xb0
#define SET_MC     0xe8
#define MC         0xf8
#define STOP       0x30
#define STOP_WRDN  0x10
#define RINT       0x30

sbit SS  = P1^0; 	//4004Ƭѡ
sbit MOSI= P1^1; 	//4004	   //SPIMOSIMCUΪһ˳дģ
sbit MISO= P1^2; 	//4004	   //SPIMISOMCUΪһ˳дģ
sbit SCLK= P1^3; 	//ISD4004ʱ
sbit INT = P1^4; 	//4004ж
//sbit STOP= P2^5;	//4004λ

EXT void Delay_ms(uint n);          //ʱms 12M 12TƬ
EXT void ISD4004_SetPlay(uint Adrr);	   // PLAY
EXT void ISD4004_SetRec(uint Adrr);	       //¼ RECORD
EXT void ISD4004_Command(uchar CMD);	//ָ

#endif