#include "includes.h"

sbit Key1 = P3^2;	//RECORD
sbit Key2 = P3^4;	//PLAY
sbit Key3 = P3^6;	//STOP & NEXT ADDRESS

sbit LED1 = P2^5;	//RECORD 
sbit LED2 = P2^0;	//PLAY

sbit INTx = P1^7;	  //ⲿź

bit Flag_2s;
uchar LOVE;

void Time0_Init(void)	//T0ʼ
{ TMOD=0x01;   //TO ʱ ʽ1
  TH0=0x3c;
  TL0=0xb0;	  //12M 50msֵ
  ET0=1;   //T0ж
  EA=1;	   //ж
}

void Time0(void)interrupt 1
{ static uchar i; 
  TH0=0x3c;
  TL0+=0xb0;	  //12M 50msֵ
  i++;
  if(i==40)	//40*50ms										  
  {	i=0;
    TR0=0; //رT0
    Flag_2s=1; //2s־λ 
  }
}

void main(void)
{ uint Count=0x0000;
  uint Addr=0x0000;	  //¼ַ

  Time0_Init();

  ISD4004_Command(STOP_WRDN);
  while(1)
  { if(!Key1)
    { Delay_ms(20);
	  if(!Key1)
	  { 
	    ISD4004_Command(STOP_WRDN);	//ֹͣ
	    LED2=1;
	    LED1=0;  //¼ָʾ
	    while(!Key1); //ȴſ
	    ISD4004_SetRec(Addr);	//ʼ¼
	  }
	}

	if(!Key2)
    { Delay_ms(20);
	  if(!Key2)
	  { 
	    ISD4004_Command(STOP_WRDN);	 //ֹͣ
	    LED1=1;
	    LED2=0;  //ָʾ
	    while(!Key2); //ȴſ
	    ISD4004_SetPlay(Addr); //ʼ
//		while(INT==1); //ȴϵEOMжź
//		ISD4004_Command(STOP_WRDN);
	  }
	}

	if(!Key3)	 //ֹͣлַ
    { Delay_ms(20);
	  if(!Key3)
	  { 
	    ISD4004_Command(STOP_WRDN);	 //ֹͣ
	    LED1=1;
	    LED2=1;  //ָʾȫ
	    while(!Key3); //ȴſ
 		Count++; //¼λü־
		if(Count==4) //¼4Σе
		{ Count=0; //
		}
		Addr=Count<<8;	//٣ǾȷַƵݱ浽ϴĿռڣֱΪ0x0000  0x0100  0x0200  0x0300
	  }
	}
  
	if(!INTx)	  //ź (Чźŵ͵ƽ)
	{ if(LOVE==0) TR0=1; //һν룬ʱ
	  while(!INTx);  //ȴ½٣ȷһź
	  LOVE++; //Ŵ
	}

	if(Flag_2s)
	{ switch(LOVE)
	  { case 1: ISD4004_SetPlay(0x0000); break; //ŵ1
	    case 2: ISD4004_SetPlay(0x0100); break; //ŵ2
		case 3: ISD4004_SetPlay(0x0200); break; //ŵ3
		case 4: ISD4004_SetPlay(0x0300); break; //ŵ4
		default : break;
	  }
	  while(INT==1); //ȴϵEOMжź
	  Flag_2s=0; //2sʱ־
	  LOVE=0; //
	}

    
  }
}













